### Function

# Gio Application get_default

since: 2.32

#### Declaration

    GApplication*
    g_application_get_default (
      void
    )

#### Description

Returns the default `GApplication` instance for this process.

Normally there is only one `GApplication` per process and it becomes the default when it is created. You can exercise more control over this by using g_application_set_default().

If there is no default application then `NULL` is returned.

Available since: 2.32

#### Return value

Type: `GApplication`

The default application for this process, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.